



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>关于HTML Input</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">关于HTML Input</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 19:45:24 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>定义：&lt;input&gt; 标签用于搜集用户信息。</strong>Input表示Form表单中的一种输入对象。</p>
<p>根据不同的 type 属性值，输入字段拥有很多种形式。输入字段可以是文本字段、复选框（单/复选框）、掩码后的文本控件、单选按钮、（提交/重置）按钮等等。</p>
<p><strong>实例：</strong></p>
<div>
<pre class="prettyprint linenums">&lt;form action="form_action.asp" method="get"&gt;<br />
  &lt;p&gt;First name: &lt;input type="text" name="fname" /&gt;&lt;/p&gt;<br />
  &lt;p&gt;Last name: &lt;input type="text" name="lname" /&gt;&lt;/p&gt;<br />
  &lt;input type="submit" value="Submit" /&gt;<br />
&lt;/form&gt;</pre>
</div>
<h2>语法：&lt;input type="value"&gt;；</h2>
<p><strong>属性值：</strong></p>
<table>
<tbody>
<tr>
<td>value</td>
<td>描述</td>
</tr>
<tr>
<td>button</td>
<td>定义可点击按钮（多数情况下，用于通过 JavaScript 启动脚本）。</td>
</tr>
<tr>
<td>checkbox</td>
<td>定义复选框。</td>
</tr>
<tr>
<td>file</td>
<td>定义输入字段和 "浏览"按钮，供文件上传</td>
</tr>
<tr>
<td>hidden</td>
<td>定义隐藏的输入字段。</td>
</tr>
<tr>
<td>image</td>
<td>定义图像形式的提交按钮。</td>
</tr>
<tr>
<td>password</td>
<td>定义密码字段。该字段中的字符被掩码。</td>
</tr>
<tr>
<td>radio</td>
<td>定义单选按钮。</td>
</tr>
<tr>
<td>reset</td>
<td>定义重置按钮。重置按钮会清除表单中的所有数据。</td>
</tr>
<tr>
<td>submit</td>
<td>定义提交按钮。提交按钮会把表单数据发送到服务器。</td>
</tr>
<tr>
<td>text</td>
<td>定义单行的输入字段，用户可在其中输入文本。默认宽度为 20 个字符。</td>
</tr>
</tbody>
</table>
<pre class="prettyprint linenums"></pre>
<p><strong>具体介绍如下</strong></p>
<ul><li><strong>&lt;input&nbsp;type="button" /&gt;;</strong></li></ul>
<p>定义可点击的按钮(标准的windows风格的按钮)，但没有任何行为。button 类型常用于在用户点击按钮时启动 JavaScript 程序。因此，要让按钮跳转到某个页面上还需要加入写JavaScript代码。</p>
<div>
<pre class="prettyprint linenums">&lt;form name="FormButton"&gt;  &lt;input type="button" name="随便填" value="点击按钮" onclick="window.open('http://www.cnblogs.com/Loonger/')"&gt;<br />
&lt;/form&gt; &nbsp;</pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022100428296099.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="checkbox" /&gt;;</strong></li></ul>
<p>定义复选框。复选框允许用户在一定数目的选择中选取一个或多个选项。多选框，常见于注册时选择爱好、性格、等信息。参数有name,value及特别参数checked（表示默认选择）其实最重要的还是value值，提交到处理页的也就是value。（附：name值可以不一样，但不推荐。）</p>
<div>
<pre class="prettyprint linenums">&lt;form name="FormCheckbox"&gt; 

  &lt;input type="checkbox" name="animal" value="dog" checked&gt;This is a dog&lt;br /&gt;<br />
  &lt;input type="checkbox" name="animal" value="cat"&gt;This is a cat&lt;br /&gt;<br />
  &lt;input type="checkbox" name="animal" value="horse"&gt;This is a horse&lt;br /&gt;<br />
&lt;/form&gt; 

/*name值可以不一样，但不推荐*/<br />
&lt;form name="FormCheckbox"&gt;<br />
  &lt;input type="checkbox" name="animal" value="dog" checked&gt;This is a dog&lt;br /&gt;<br />
  &lt;input type="checkbox" name="animal" value="cat"&gt;This is a cat&lt;br /&gt;<br />
  &lt;input type="checkbox" name="animal" value="horse"&gt;This is a horse&lt;br /&gt;<br />
&lt;/form&gt;</pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022054306738662.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="file" /&gt;;</strong></li></ul>
<p>用于文件上传。该控件带有一个文本框和一个浏览按钮.当你在BBS、EMAIL中上传附件时一定少不了的控件。</p>
<div>
<pre class="prettyprint linenums">&lt;form&gt;<br />
  &lt;input type="file" name="pic" accept="image/gif" /&gt;<br />
&lt;/form&gt;</pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022114154078951.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="hidden" /&gt;;</strong></li></ul>
<p>定义隐藏字段。隐藏字段对于用户是不可见的（如果一个非常重要的信息需要被提交到下一页，但又不能或者无法明示。 一句话，你在页面中是看不到hidden在哪里。最有用的是hidden的值。）隐藏字段通常会存储一个默认值，它们的值也可以由 JavaScript 进行修改。</p>
<div>
<pre class="prettyprint linenums">&lt;form name="FormHidden"&gt;<br />
your hidden info here:<br />
  &lt;input type="hidden" name="hiddeninfo" value="Loong's Blog"&gt;<br />
&lt;/form&gt;<br />
&lt;script&gt;<br />
  alert("隐藏域的值是 "+document.FormHidden.hiddeninfo.value)<br />
&lt;/script&gt; </pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022131149853165.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="image" /&gt;;</strong></li></ul>
<p>定义图像形式的提交按钮。</p>
<div>
<pre class="prettyprint linenums">&lt;form&gt;<br />
  &lt;input type="image" src="submit.gif" alt="Submit" /&gt;<br />
&lt;/form&gt; </pre>
</div>
<ul><li><strong>&lt;input&nbsp;type="password" /&gt;;</strong></li></ul>
<p>定义密码字段。密码字段中的字符会被掩码（显示为星号或原点）。</p>
<div>
<pre class="prettyprint linenums">&lt;form&gt;<br />
  Email:&lt;input type="text" name="email" /&gt;&lt;br /&gt;<br />
  Password: &lt;input type="password" name="pwd" maxlength="8" /&gt;&lt;br /&gt;<br />
&lt;/form&gt;</pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022146406265777.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="radio" /&gt;;</strong></li></ul>
<p>定义单选按钮，出现在多选一的页面设定中。参数同样有name,value及特别参数checked.&nbsp;不同于checkbox的是，name值一定要相同，否则就不能多选一。当然提交到处理页的也还是value值。</p>
<div>
<pre class="prettyprint linenums">&lt;form action="/example/html/form_action.asp" method="get"&gt;<br />
  &lt;input type="radio" name="sex" value="male" /&gt; Male&lt;br /&gt;<br />
  &lt;input type="radio" name="sex" value="female" /&gt; Female&lt;br /&gt;<br />
&lt;/form&gt;

/*下面是name值不同的一个例子，就不能实现多选一的效果了*/<br />
&lt;form&gt;<br />
  &lt;input type="radio" name="checkit1" value="a" checked&gt;&lt;br&gt;  &lt;input type="radio" name="checkit2" value="b"&gt;&lt;br&gt;  &lt;input type="radio" name="checkit3" value="c"&gt;&lt;br&gt;<br />
&lt;/form&gt; </pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022153490015273.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="submit" /&gt;;</strong></li></ul>
<p><strong>&lt;input type="reset" /&gt;;</strong></p>
<p>定义&ldquo;提交&rdquo;和&ldquo;重置&rdquo;两按钮，提交按钮用于向服务器发送表单数据。数据会发送到表单的 action 属性中指定的页面。重置按钮则起个快速清空所有填写内容的功能。</p>
<div>
<pre class="prettyprint linenums">&lt;form&gt;<br />
  Email: &lt;input type="text" name="email" /&gt;&lt;br /&gt;<br />
  Password: &lt;input type="text" name="pin" maxlength="4" /&gt;&lt;br /&gt;<br />
  &lt;input type="reset" value="Reset" /&gt;<br />
  &lt;input type="submit" value="Submit" /&gt;<br />
&lt;/form&gt;</pre>
</div>
<p>效果：</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/791896/201508/022200164072584.jpg" /></p>
<ul><li><strong>&lt;input&nbsp;type="submit" /&gt;;</strong></li></ul>
<p>输入类型是text，这是我们见的最多也是使用最多的，比如登陆输入用户名，注册输入电话号码，电子邮件，家庭住址等等。当然这也是Input的默认类型。&nbsp;<br />参数name：同样是表示的该文本输入框名称。&nbsp;<br />参数size：输入框的长度大小。&nbsp;<br />参数maxlength：输入框中允许输入字符的最大数。&nbsp;<br />参数value：输入框中的默认值&nbsp;<br />特殊参数readonly：表示该框中只能显示，不能添加修改</p>
<div>
<pre class="prettyprint linenums">&lt;form action="/example/html/form_action.asp" method="get"&gt;<br />
  &lt;p&gt;Email: &lt;input type="text" name="email" /&gt;&lt;/p&gt;<br />
  &lt;p&gt;Password: &lt;input type="text" name="pin" maxlength="18" /&gt;&lt;/p&gt;

&lt;/form&gt;</pre>
</div>
<p>效果：见password部分。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/g8eyywz9.html">兼容8事件绑定与解绑addEventListener、removeEventListener和ie的attachEvent、detachEvent</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1rkm68.html">DES原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j1x609.html">【原创】开源Math&period;NET基础数学类库使用&lpar;10&rpar;C&num;进行基本数据统计</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv2pvo9.html">基于DDD &plus; SD&period;Framework实现的统一身份认证系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwr4639.html">MySQL中MyISAM和InnoDB的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jv77e9.html">自动升级系统OAUS的设计与实现（续） （附最新源码）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390nox3q.html">GridView如何合并同类项</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq13ry68.html">Atitti&period;java exp ast java表达式语法ast构造器</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ogjgn9.html">sum&lpar;iterable&lbrack;&comma; start&rsqb;&rpar; &Tab;对集合求和</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wen4lq.html">Sql Server内置函数实现MD5加密</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmy0ze9.html">sctf pwn300</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x52k09.html">jQuery源码笔记&mdash;&mdash;延迟对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kjrw59.html">&period;Net Standard扩展支持实例分享</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gymozq.html">Linux安装middleBox之prads</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql174yx9.html">java单个方法达到了65536字节的限制</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pv113q.html">tomcat限制ip访问</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxl5d1zq.html">Jmeter Aggregate Report 与 Summary Report 分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qndyeng8.html">struts2自定义Interceptor拦截器</a>
		</li>
						<li><a href="https://www.batexi.com/a/93j4p4n8.html">POJ 2243 &lbrack;SDOI2011&rsqb;染色 &vert;  树链剖分&plus;线段树</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1pmg2zq.html">某比赛小记1- 挑选第N大数字</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/96ol7ov9.html">chrome浏览器取消置顶的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zyp649.html">HttpClient&lpar;4&period;3&period;5&rpar; - HTTP Authentication</a>
			</li>
						<li><a href="https://www.batexi.com/a/96ol5dj9.html">C&num; 计算文件的 Hash 值</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1k5g79.html">Android开发中的PhoneGap基本使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m2gzgq.html">和阿文一起学H5&mdash;&mdash;音乐素材</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1gylg8.html">自己封装的SqlHelper</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4y73peq.html">CSS 初体验之Line-height</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmzxk09.html">Linux 配置文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7m2jvkq.html">查看Aix系统配置命令</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pj7vrk9.html">Windows内存管理&lbrack;转&rsqb;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
